org.apache.cassandra.utils

## Class NanoTimeToCurrentTimeMillis

- java.lang.Object
- - org.apache.cassandra.utils.NanoTimeToCurrentTimeMillis

-     public class NanoTimeToCurrentTimeMillis
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `TIMESTAMP_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NanoTimeToCurrentTimeMillis()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `convert(long nanoTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIMESTAMP_UPDATE

          public static final java.lang.Object TIMESTAMP_UPDATE

  - ### Constructor Detail

    - #### NanoTimeToCurrentTimeMillis

          public NanoTimeToCurrentTimeMillis()

  - ### Method Detail

    - #### convert

          public static final long convert(long nanoTime)

Copyright © 2018 The Apache Software Foundation